Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Aave Markets

Returns metadata for all tracked Aave markets, including slugs, chains, version, contract addresses (pools, hubs, spokes) and asset lists.

GET /v2/markets

Query parameters

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/markets?apiKey=YOUR_KEY"

Example response (snippet)

{
  "markets": [
    {
      "name": "Aave V3 Ethereum",
      "slug": "aave-v3-ethereum",
      "aaveVersion": "v3",
      "chainId": 1,
      "chainSlug": "ethereum",
      "addressProviderAddress": "0x2f39d218133AFaB8F2B819B1066c7E434Ad94E9e",
      "oracleBaseCurrency": "USD",
      "oracleDecimals": 8,
      "startDate": "2023-01-30",
      "reservesIndexed": true,
      "pricesIndexed": true,
      "poolAddress": "0x87870Bca3F3fD6335C3F4ce8392D69350B4fA4E2",
      "oracleAddress": "0x54586bE62E3c3580375aE3723C145253060Ca0C2",
      "reservesList": [
        "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
      ]
    }
  ],
  "lastUpdated": "2026-05-09T15:00:00.000Z"
}